# Uses of Interface
org.eclipse.birt.chart.model.layout.Legend

Packages that use Legend
Package
Description
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.model
Contains the chart model interfaces that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.impl
Represents the chart model implementation classes that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.layout
Contains a layout manager capable of arranging a set of blocks associated with the chart representation.
org.eclipse.birt.chart.model.layout.impl
Contains core class implementations for blocks associated with the chart representation.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.

## Uses of Legend in org.eclipse.birt.chart.event

Methods in org.eclipse.birt.chart.event with parameters of type Legend
Modifier and Type
Method
Description
`static StructureSource`
StructureSource.`createLegend(Legend lg)`
Creates a Structure Source for type Legend.
`static StructureSource`
WrappedStructureSource.`createLegendEntry(Legend lg, LegendItemHints entry)`
Creates a WrappedStructure Source for type Legend Entry with a Legend parent.
`static StructureSource`
WrappedStructureSource.`createLegendTitle(Legend lg, Label title)`
Creates a WrappedStructure Source for type Legend Title with a Legend parent.

## Uses of Legend in org.eclipse.birt.chart.model

Methods in org.eclipse.birt.chart.model that return Legend
Modifier and Type
Method
Description
`Legend`
Chart.`getLegend()`
Convenience method that gets the Legend Block for the chart.

## Uses of Legend in org.eclipse.birt.chart.model.impl

Methods in org.eclipse.birt.chart.model.impl that return Legend
Modifier and Type
Method
Description
`final Legend`
ChartImpl.`getLegend()`
Note: Manually written

## Uses of Legend in org.eclipse.birt.chart.model.layout

Methods in org.eclipse.birt.chart.model.layout that return Legend
Modifier and Type
Method
Description
`Legend`
Legend.`copyInstance()`
`Legend`
LayoutFactory.`createLegend()`
Returns a new object of class 'Legend'.

## Uses of Legend in org.eclipse.birt.chart.model.layout.impl

Classes in org.eclipse.birt.chart.model.layout.impl that implement Legend
Modifier and Type
Class
Description
`class`
`LegendImpl`
An implementation of the model object ' Legend'.
Methods in org.eclipse.birt.chart.model.layout.impl that return Legend
Modifier and Type
Method
Description
`Legend`
LegendImpl.`copyInstance()`
`Legend`
LayoutFactoryImpl.`createLegend()`

## Uses of Legend in org.eclipse.birt.chart.render

Methods in org.eclipse.birt.chart.render with parameters of type Legend
Modifier and Type
Method
Description
`void`
BaseRenderer.`renderLegend(IPrimitiveRenderer ipr, Legend lg, Map<Series,LegendItemRenderingHints> htRenderers)`
Renders the legend block based on the legend rendering rules.
`void`
EmptyWithAxes.`renderLegendGraphic(IPrimitiveRenderer ipr, Legend lg, Fill fPaletteEntry, Bounds bo)`
`void`
EmptyWithoutAxes.`renderLegendGraphic(IPrimitiveRenderer ipr, Legend lg, Fill fPaletteEntry, Bounds bo)`
`void`
ISeriesRenderer.`renderLegendGraphic(IPrimitiveRenderer ipr, Legend lg, Fill fPaletteEntry, Bounds bo)`
Notifies the series renderer to render a legend graphic element in the legend content that represents the series associated with the renderer.